Failure in after_commit orchestration is very hard to debug

02/17/2016 11:43 AM - Ivan Necas

Status: New   

Priority: Normal   

Assignee:    

Category: Orchestration   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When there is a failure in after_commit orchestration, there is no error message

shown in the UI that would indicate the error.

How to reproduce:

1. try to reproduce http://projects.theforeman.org/issues/13770

2. try to spot that something went wrong form the UI

3. no errors shown except a fraction of second when the task status rollback

appears

Related issues:

Related to Foreman - Bug #13769: SSH provisioning fails when sql logging leve... Closed 02/17/2016

Related to Foreman - Bug #13770: SSH provisioning fails when no puppetca is a... Duplicate 02/17/2016

Related to Foreman - Tracker #14002: Orchestration build around ActiveRecord ... New 03/02/2016

Related to Foreman - Bug #14004: After_commit failure doesn't handle the roll... New 03/02/2016

History

#1 - 02/17/2016 11:43 AM - Ivan Necas

- Related to Bug #13769: SSH provisioning fails when sql logging level is set to 'error' added

#2 - 02/17/2016 11:43 AM - Ivan Necas

- Related to Bug #13770: SSH provisioning fails when no puppetca is assigned to the host added

#3 - 03/02/2016 04:14 AM - Ivan Necas

- Related to Tracker #14002: Orchestration build around ActiveRecord hooks tracker added

#4 - 03/02/2016 04:45 AM - Ivan Necas

- Description updated

#5 - 03/02/2016 05:05 AM - Ivan Necas

- Related to Bug #14004: After_commit failure doesn't handle the rollback for the actions performed from the pre_commit phase and active record

objects added
